Ошибка импортирования OVF в VMware vCLoud Director

vmware logoДобрый день! Уважаемые читатели и гости популярного компьютерного блога pyatilistnik.org. В прошлый раз мы с вами решили ошибку: "virtual machine disks consolidation is needed", на одной из виртуальных машин, сегодня продолжим наш траблшутинг. Я вам много уже рассказывал про облачные сервисы, где вы можете размещать свои ресурсы, и одним из таких является программный продукт VMware vCLoud Director, на базе которого многие Цоды, строят свои облака. Есть компания Dataline, которая предоставляет облачный сервис, в момент импортирования в него OVF шаблона с файлами виртуальной машины, я получил ошибку: "The OVF package requires hardware version 13 but the selected VDC only supports hardware version 11". Ниже я вам покажу, как решается данная проблема.



Как понизить версию виртуальной машины Vmware ESXI

vmware tools logoДобрый день! Многие компании сейчас все чаще переносят свои ресурсы и сервисы к облачным провайдерам, таким как AWS, Azure или vCLoud Director. Сама миграция может происходить как создание в облаке нового сервера и ручной перенос сервисов, либо же миграция виртуальной машины, после P2V конвертирования. В момент переноса виртуальной машины в облако VMware vCLoud Director, я получал ошибку " The OVF package requires hardware version 13 but the selected VDC only supports hardware version 11". Из ошибки следовало, что моя версию виртуальной машины, более новая, чем поддерживает провайдер. Тут вариантов было несколько, увеличить версию поддержки, либо же понизить версию виртуального аппаратного обеспечения (Virtual Hardware Version / VM version). В данной заметке, я вам покажу, как можно быстро изменить версию VM version, на нужную вам.



Ошибка The older verison of VMware Tools cannot be removed

vmware logoДобрый день! Уважаемые читатели и гости популярного блога, о Vmware ESXI и настройке серверов pyatilistnik.org. Добавляю сегодня еще одну практическую статью, по любимому гипервизору. Месяц назад в парке серверов моей компании, появились 10 Dell PowerEdge R740, со всеми плюшками. На них был установлен гипервизор VMware ESXI 6.5 и собран кластер высокой доступности. После чего, были смигрированны терминальные сервера с Windows Server 2012 R2. Так как ранее виртуальные машины были на гипервизоре ESXI 5.1, то потребовалось обновить Vmware Tools, как это делается я уже рассказывал. Но появилась проблема, что на некоторых виртуальных машинах, в момент обновления VMware Tools до 10 версии, выскакивала ошибка: что не получается найти MSI пакет и "The older verison of VMware Tools cannot be removed". Давайте я покажу, как эту ситуацию обойти.



Ошибка Datastore usage on disk в vCenter 6.5

vmware logo

Добрый день! Уважаемые читатели и гости популярного блога, о Vmware ESXI и настройке серверов pyatilistnik.org. Относительно недавно, я вам рассказывал, как создавать свои оповещения в vCenter 5.5 (тригеры). Там я показывал, как редактируются встроенные тригеры. Сегодня на одном из моих датасторов, выскочило предупреждение: Datastore usage on disk, сам LUN имеет размеры 4 ТБ и на нем было свободно более 800 гигабайт. Данное оповещение сообщает, что у меня начинает заканчиваться свободное место на дисковом массиве, но в виду того, что свободно 800 гигабайт, это оповещение мне кажется лишним. Я вам покажу, как его поправить в vCenter 6.5 сервере.



Ошибка подключения к vCenter через PowerCLI

dell vmware

Добрый день! Уважаемые читатели и гости IT блога pyatilistnik.org. Не так давно я вам рассказывал, о том, как узнать WWN адреса в ESXI, и там мы пользовались для удобства скриптом на PowerCLI. Сегодня мне нужно было проделать такую же задачу, но в момент подключения к серверу vCenter, я получил ошибку: Invalid server certificate. Use Set-PowerCLIConfiguration to set the value for the InvalidCertificateAction option to Prompt if you'd like to connect once or to add a permanent exception for this server. Из нее видно, что подключению не нравится сертификат, который предоставляет сервер, хотя тот должен был его предложить установить, с предупреждением. Ниже я покажу, как произвести подключение и обойти проблему с сертификатом.



Как добавить драйвер в ESXI 6.5 ISO образ и Offline Bundle пакет

vmware драйвера

Добрый день! Уважаемые читатели и гости блога, о виртуализации и компьютерных технологиях pyatilistnik.org. Я вам рассказывал в цикле статей, как я производил установку и настройку гипервизора VMware ESXI 6.5 на сервера Dell PowerEdge R740. По мимо самого гипервизора в него необходимо устанавливать дополнительные драйвера и утилиты мониторинга, для получения максимальной информации и возможности управления серверами. Там мы все это производили в ручном режиме, что подходит для разовой установки, но когда у вас 10-15 серверов, то это становится рутиной. Сегодня я хочу рассказать, каким образом вы можете добавить драйвера в ISO образ ESXI 6.5 или же в zip Offline Bundle архив.



Актуальный список последних релизов ESXI

как узнать актуальную версию ESXI

Добрый день! Уважаемый читатель или просто гость, дружелюбного IT блога pyatilistnik.org. Я всегда слежу за последними обновлениями и релизами своих операционных систем, которые мне необходимо обслуживать и держать в надлежащем виде. Многие читатели, меня часто спрашивают, а каким образом можно узнать самую последнюю и новую версию гипервизора Vmware ESXI 6.5 или других версий, так как не у всех есть vCenter сервер, в котором есть механизм обновления хостов ESXI и скачивание информации из репозитория вендора. Сегодня я вам все расскажу, и вы всегда будите в курсе последних билдов и версий ESXI.



Как установить Dell EMC iDRAC Service Module

Установка Dell EMC iDRAC Service Module

Добрый день! Уважаемые инженеры и гости лучшего компьютерного блога pyatilistnik.org. Продолжаем изучать возможности мониторинга серверов компании Dell. В 14-ом поколении серверов PowerEdge R740 в IDRAC, есть такая служба "Dell EMC iDRAC Service Module", отвечающая за сбор большего количества данных для мониторинга и связь со службами Remote Access Controller Admin (RACADM) CLI и Web Service Management (WSMAN). Напомню, что WS-MAN службу мы уже видели в продукте OpenManage Essentials (OME). Бывают случаи, что этот сервисный модуль "Service Module" не запускается и служба висит с ошибкой: "The iDRAC Service Module is not installed on the operating system of the server. Install the Service Module and retry the operation." Сегодня я расскажу как она решается.